#include"tilist.hpp"




namespace{


void
load(Root&  root, const std::string&  s)
{
  map.load(s.data());

  auto  res = s.rfind('/');

  std::string  tmps;

    if(res != std::string::npos)
    {
      tmps = std::string(s,res+1);
    }

  else
    if(res != std::string::npos)
    {
      tmps = s;
    }


  map.widgets.filename_txtbox->set(tmps);

  update_draw();
}



}




int
main(int  argc, char**  argv)
{
  SDL_Init(SDL_INIT_VIDEO);

  auto  root = new Root("tilist - " __DATE__,16,32);

  root->insert(create_united_widget(),0,0);

  root->set_callback(load);

  context::insert(root);

    while(context::process_event())
    {
      context::update();

      SDL_Delay(20);
    }


  SDL_Quit();

  return 0;
}




