#include"dottle.hpp"




namespace{


void
do_on_drop(Root&  root, const std::string&  s)
{
    if(s.size())
    {
        if(load(s.data()))
        {
          auto  pos = s.rfind(dirsepch);

            if(pos != std::string::npos)
            {
              set_filename(std::string(s,pos+1));
            }

          else
            {
              set_filename(s);
            }
        }


//      view.widgets.update();
    }
}


}


int
main(int  argc, char**  argv)
{
  SDL_Init(SDL_INIT_VIDEO);


  auto  root = new Root("dottle - " __DATE__,32,32);

  root->set_callback(do_on_drop);

  root->insert(create_united_widget());

  context::insert(root);

    while(context::process_event())
    {
      context::update();

      SDL_Delay(20);
    }


  SDL_Quit();

  return 0;
}




